<h1 align="center">
    <img src="https://github.com/2003100127/deepsmirud/blob/main/docs/img/deepsmirud-logo.png?raw=true" width="200" height="55">
    <br>
</h1>

<hr>

![PyPI](https://img.shields.io/pypi/v/deepsmirud?logo=PyPI)
[![Downloads](https://pepy.tech/badge/deepsmirud)](https://pepy.tech/project/deepsmirud)
![](https://img.shields.io/github/stars/2003100127/deepsmirud?logo=GitHub&color=blue)

## 💻 Platform

![Python](https://img.shields.io/badge/-Python-000?&logo=Python)
![PyPI](https://img.shields.io/badge/-PyPI-000?&logo=PyPI)

## 🧭 Overview
DeepsmirUD is a deep learning-based framework that uniquely uses connectivity scores to predict whether small molecules will upregulate or downregulate microRNA (miRNA) expression, offering a scalable and sequence-driven approach for RNA-targeted drug discovery.

> Whether you’re working in computational drug discovery, bioinformatics, or molecular pharmacology, DeepsmirUD provides a ready-to-use solution for drug screening.

## 📔 Documentation
Please check https://2003100127.github.io/deepsmirud for its usage.

## 🛠️ Installation

* ![PyPI](https://img.shields.io/badge/-PyPI-000?&logo=PyPI) (https://pypi.org/project/deepsmirud)

  ``` shell
  conda create --name deepsmirud python=3.11
      
  conda activate deepsmirud
  
  pip install deepsmirud --upgrade
  ```

## 📚 Citation

```shell!
Sun, J., Ru, J., Ramos-Mucci, L., Qi, F., Chen, Z., Chen, S., Cribbs, A. P., Deng, L., & Wang, X. (2023). DeepsmirUD: Prediction of Regulatory Effects on microRNA Expression Mediated by Small Molecules Using Deep Learning. International journal of molecular sciences, 24(3), 1878. https://doi.org/10.3390/ijms24031878
```

```markdown
@article{deepsmirud2023,
    TITLE = {DeepsmirUD: Prediction of Regulatory Effects on microRNA Expression Mediated by Small Molecules Using Deep Learning},
    AUTHOR = {Sun, Jianfeng and Ru, Jinlong and Ramos-Mucci, Lorenzo and Qi, Fei and Chen, Zihao and Chen, Suyuan and Cribbs, Adam P. and Deng, Li and Wang, Xia},
    JOURNAL = {International Journal of Molecular Sciences},
    VOLUME = {24},
    YEAR = {2023},
    NUMBER = {3},
    ARTICLE-NUMBER = {1878},
    URL = {https://www.mdpi.com/1422-0067/24/3/1878},
    PubMedID = {36768205},
    ISSN = {1422-0067},
    DOI = {10.3390/ijms24031878}
}
```

## 🏠 Developer
[Jianfeng Sun](https://www.2003100127.github.io) 

## 📧 Contact
[![Linkedin Badge](https://img.shields.io/badge/-Jianfeng_Sun-blue?style=flat-square&logo=Linkedin&logoColor=white&link=https://www.linkedin.com/in/jianfeng-sun-2ba9b1132)](https://www.linkedin.com/in/jianfeng-sun-2ba9b1132) 
[![Gmail Badge](https://img.shields.io/badge/-jianfeng.sunmt@gmail.com-c14438?style=flat-square&logo=Gmail&logoColor=white&link=mailto:jianfeng.sunmt@gmail.com)](mailto:jianfeng.sunmt@gmail.com)
[![Outlook Badge](https://img.shields.io/badge/jianfeng.sun@ndorms.ox.ac.uk--000?style=social&logo=microsoft-outlook&logoColor=0078d4&link=mailto:jianfeng.sun@ndorms.ox.ac.uk)](mailto:jianfeng.sun@ndorms.ox.ac.uk)
<a href="https://twitter.com/Jianfeng_Sunny" ><img src="https://img.shields.io/twitter/follow/Jianfeng_Sunny.svg?style=social" /></a>